> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorstudio.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get batch status

> Returns aggregate progress across files and chunk jobs in the batch.

Returns aggregate progress for all files and chunk jobs in a batch.

## Typical response (production)

```json theme={"system"}
{
  "batch_id": "0f8fad5b-d9cb-469f-a165-70867728950e",
  "total_files": 4,
  "files_completed": 2,
  "files_failed": 0,
  "estimated_audio_seconds": 290.0,
  "estimated_completion_seconds": 21.7,
  "status": "processing"
}
```

In development mode, additional counters can be present:
`total_jobs`, `completed_jobs`, `failed_jobs`, `processing_jobs`, `queued_jobs`, and `files_processing`.

## Example

```bash theme={"system"}
curl -X GET "https://api.soket.ai/transcribe/status/batch/$BATCH_ID" \
  -H "Authorization: Bearer $JWT_TOKEN"
```


## OpenAPI

````yaml GET /status/batch/{batch_id}
openapi: 3.0.3
info:
  title: Dhrith ASR API
  version: 1.0.0
  description: >-
    Upload audio, submit batches, track progress, and fetch merged transcription
    results.
servers:
  - url: https://api.soket.ai/transcribe
    description: Batch transcription, status, results, and download
  - url: https://api.soket.ai
    description: File upload and management
security:
  - bearerAuth: []
paths:
  /status/batch/{batch_id}:
    get:
      summary: Get batch status
      description: Returns aggregate progress across files and chunk jobs in the batch.
      operationId: getBatchStatus
      parameters:
        - name: batch_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Batch status response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchStatusResponse'
        '401':
          description: Missing or invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Batch not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    BatchStatusResponse:
      type: object
      properties:
        batch_id:
          type: string
        total_files:
          type: integer
        files_completed:
          type: integer
        files_failed:
          type: integer
        estimated_audio_seconds:
          type: number
        estimated_completion_seconds:
          type: number
        status:
          type: string
        total_jobs:
          type: integer
        completed_jobs:
          type: integer
        failed_jobs:
          type: integer
        processing_jobs:
          type: integer
        queued_jobs:
          type: integer
        files_processing:
          type: integer
    ErrorResponse:
      type: object
      properties:
        detail:
          oneOf:
            - type: string
            - type: object
              additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````